-Top- -Classes- -Public Operations- -Class Diagrams- -Sequence Diagrams-

_ A B C D E F G H I J K L M N O P R S T U V W ~

Class UmlAttribute

Declaration :

- C++ : class UmlAttribute : public UmlBaseAttribute
- Java : class UmlAttribute extends UmlBaseAttribute

This class manages 'attribute', notes that the class 'UmlClassItem' is a mother class of the class's children.
You can modify it as you want (except the constructor)

Artifact : UmlAttribute

Operation UmlAttribute

Declaration :

- C++ : public: UmlAttribute(void * id, const QCString & n) : UmlBaseAttribute(id, n)
- Java : public UmlAttribute(long id, String n)

All public operations :

addGetOperation , addSetOperation , apply , children , childrenVisible , cppDecl , cppVisibility , create , defaultValue , defined_ , description , getOperation , identifier_ , idlCase , idlDecl , isClassMember , isCppMutable , isJavaTransient , isMarked , isReadOnly , isToolRunning , isVolatile , isWritable , javaDecl , kind , kind , markedItems , name , parent , properties , propertyValue , referencedBy , set_childrenVisible , set_CppDecl , set_CppVisibility , set_DefaultValue , set_Description , set_IdlCase , set_IdlCase , set_IdlDecl , set_isClassMember , set_isCppMutable , set_isJavaTransient , set_isMarked , set_isReadOnly , set_isVolatile , set_JavaDecl , set_Name , set_PropertyValue , set_Stereotype , set_Type , set_Visibility , setOperation , stereotype , supportFile , type , unload , unload , unload , visibility